For the complete documentation index, see llms.txt. This page is also available as Markdown.

Deposit Status Endpoint

Retrieve Deposit Status

get

Retrieve the status of a previously created deposit. This endpoint allows you to retrieve the status of a deposit request.

Path parameters
deposit_idintegerRequired

eroninternational deposit_id. It is obtained when creating the deposit.

Header parameters
Content-TypestringRequired

Media type of the body sent to the API. (Note: For GET, typically no request body)

Default: application/json
X-Datestring · date-timeRequired

ISO8601 Datetime with Timezone. Example: 2020-06-24T17:13:21Z

X-LoginstringRequired

Merchant X-Login API Key

AuthorizationstringRequired

Authentication signature hash

X-Idempotency-KeystringOptional

Unique idempotency key for ensuring that the same request is not processed more than once. (Typically for state-changing requests)

Responses
200

Deposit status successfully retrieved

application/json
user_idstringOptional

ID generated for the user on eron end

deposit_idintegerOptional

ID of the deposit on eron end

subscription_idinteger · nullableOptional

ID of the Subscription that triggered the deposit

invoice_idstringOptional

ID of the deposit on the merchant end

countrystring · nullableOptional

Country ISO code

currencystringOptional

Local currency code

local_amountnumber · float · nullableOptional

Amount in local currency

usd_amountnumber · float · nullableOptional

Amount in USD

amountnumber · float · nullableOptional

Amount in local currency

bonus_amountnumber · float · nullableOptional

The amount specified as bonus in the request

bonus_relativeboolean · nullableOptional

Specifies if bonus_amount is absolute or relative

payment_methodstring · nullableOptional

Payment method code

payment_typestring · nullableOptional

Type of the payment method

statusstring · enumOptional

Status of the deposit

Possible values:
status_reasonstring · enum · nullableOptional

Reason why the deposit was rejected or expired. It is optional: it is null when there is no reason to report (for example, approved deposits). This list may grow over time; integrations should tolerate new values they do not recognize and must not fail when one appears.

Possible values:
fee_amountnumber · float · nullableOptional

Fee of the deposit

fee_currencystring · nullableOptional

Currency of the fee

refundedboolean · nullableOptional

Shows if the deposit was refunded

current_payer_verificationstring · enum · nullableOptional

Current payer verification result

Possible values:
provider_external_referencestring · nullableOptional

Reference of the transaction on the provider end

completed_payment_method_codestring · nullableOptional

Payment method used to complete the transaction

get/deposits/{deposit_id}
GET /v3/deposits/{deposit_id} HTTP/1.1
Host: api-stg.eroninternational.com
Content-Type: application/json
X-Date: 2026-01-01T00:00:00.000Z
X-Login: text
Authorization: text
Accept: */*
{
  "user_id": "11",
  "deposit_id": 300004285,
  "invoice_id": "989409592",
  "country": "BR",
  "currency": "BRL",
  "local_amount": 53162,
  "usd_amount": 1000,
  "bonus_amount": 100,
  "bonus_relative": false,
  "payment_method": "VI",
  "payment_type": "CREDIT_CARD",
  "status": "COMPLETED",
  "payer": {
    "document": "17532655253",
    "document_type": "CPF",
    "email": "[email protected]",
    "first_name": "John",
    "last_name": "Smith",
    "address": {
      "city": "Sao Paulo",
      "state": "SP",
      "street": "John Street 2453",
      "zip_code": "938475-234"
    }
  },
  "fee_amount": 2.5,
  "fee_currency": "USD",
  "refunded": false,
  "current_payer_verification": "UNMATCHED",
  "provider_external_reference": "741231231234",
  "card_detail": {
    "card_holder": "John Smith",
    "brand": "Visa",
    "masked_card": "1234 56** **** 6789",
    "expiration": "2023-12",
    "card_type": "DEBIT",
    "transaction_result": "Transaction Approved"
  }
}

Last updated

Was this helpful?